Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001914TestLinkNew Featurepublic2008-12-06 02:242010-06-05 08:30
Reporteryukihito 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.9 Beta 4 
Summary0001914: Maybe a work around for problem when loading a full suite.
DescriptionCurrently in 1.8RC1, inside the config, there is a settings that allows admin to change if, they want the tester to be able to click on a suite and load all the testcases under that that suite which by reading comments in config, seems to be a problem for overflowing the server.

As for a work around with this, I would like to show an example of javascript which would fetch data accordingly and list as user scrolls down.
If this can be used on when opening suites, it would reduce the amount of data requested to the server as well as gives the user more usability while testing.

example can be found at:
http://www.webresourcesdepot.com/dnspinger/ [^]
If javascript is turned on, if scrolling down, additional content is loaded accordingly.

authors website:
http://www.webresourcesdepot.com/load-content-while-scrolling-with-jquery/ [^]
this is the tutorial and where the author has his codes.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004777)
fman (administrator)
2008-12-07 18:14

Thanks, we wll give a look, but is low priority.
(0004800)
fman (administrator)
2008-12-09 19:08

I Do not really graps the advantage for users to see all test cases on test suite will scrolling down, instead of click on right pane on wanted test case.
A problem to cope with:
test suites contains other test suite
(0004806)
yukihito (reporter)
2008-12-09 21:47

when doing actual testing, the click each test case and wait for server to render can become very slow, especially when having hundreds of test cases that testers need to go through. Rather than clicking on each and every test case every time, being able to list content under a suite is a function needed I would suggest.

I am just giving examples of a more efficient way of showing suites, even though 1.8 is better than the current 1.7 version, it still hangs my browser when I try opening a 100+ test case suite.
(0010232)
fman (administrator)
2010-06-05 08:30

with new bulk exec

- Issue History
Date Modified Username Field Change
2008-12-06 02:24 yukihito New Issue
2008-12-07 18:14 fman Note Added: 0004777
2008-12-09 19:08 fman Note Added: 0004800
2008-12-09 21:47 yukihito Note Added: 0004806
2010-06-05 08:30 fman Note Added: 0010232
2010-06-05 08:30 fman Status new => closed
2010-06-05 08:30 fman Assigned To => fman
2010-06-05 08:30 fman Resolution open => fixed
2010-06-05 08:30 fman Fixed in Version => 1.9 Beta 4



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker